"use strict";

$(document).ready(()=>{
    const pathToSfeduAPIAdapter = $('#sync_api_url').html().trim();
    //const pathToSfeduAPIAdapter = 'http://localhost:3000/';

    //$('#syncInnerDepartments').click(()=>{
    //    $.get(pathToSfeduAPIAdapter + 'subdivisions/inner');
    //});

    function parseLogs() {
        let $logs = $('#json_logs');

        let logsRaw = JSON.parse($logs.html() || '{}');
        return logsRaw;
    }

    //let logs = parseLogs();

    $('.syncErrorMessage').click(function() {
       const rowIndex = $( this ).parent().parent().index();
        var opened = window.open("");
        opened.document.write($("#message_"+rowIndex).html());
    });

    $('#syncDepartments').click(()=>{
        $.get(pathToSfeduAPIAdapter + '/subdivisions');
    });

    $('#syncTeachers').click(()=>{
        const enableDismissed = $('#syncTeacherEnableDismissed')[0].value;

        $.get(pathToSfeduAPIAdapter + '/teachers?enableDismissed=' + enableDismissed);
    });

    $('#syncPlans').click(()=>{
        const year = $('#syncPlansYear')[0].value;
        const semester = $('#syncPlansSemester')[0].value;

        $.get(pathToSfeduAPIAdapter + '/disciplines?year=' + year + '&semester=' + semester);
    });

    $('#syncStudents').click(()=>{
        const enableDismissed = $('#syncStudentsEnableDismissed')[0].value;

        $.get(pathToSfeduAPIAdapter + '/students?enableDismissed=' + enableDismissed);
    });
});
